%global _empty_manifest_terminate_build 0
Name:		python-baluhn
Version:	0.1.2
Release:	1
Summary:	A base-agnostic implementation of the Luhn Algorithm for Python. Useful for generating and verifying check digits.
License:	Public Domain
URL:		http://github.com/benhodgson/baluhn
Source0:	https://files.pythonhosted.org/packages/d8/04/1f702c771d387b66f8232afb223db4796372a2e68095078ca76c41d1f151/baluhn-0.1.2.tar.gz
BuildArch:	noarch


%global _description\
Baluhn provides a base-independent implementation of the [Luhn\
algorithm](http://en.wikipedia.org/wiki/Luhn_algorithm) for Python. It is\
useful for generating and verifying check digits in arbitrary bases.
%description %_description

%package -n python3-baluhn
Summary:	A base-agnostic implementation of the Luhn Algorithm for Python. Useful for generating and verifying check digits.
Provides:	python-baluhn
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-baluhn %_description

%package help
Summary:	Development documents and examples for baluhn
Provides:	python3-baluhn-doc
%description help %_description

%prep
%autosetup -n baluhn-0.1.2

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-baluhn -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jun 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
